%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[
	a4paper, % Page size
	fontsize=10pt, % Base font size
	twoside=true, % Use different layouts for even and odd pages (in particular, if twoside=true, the margin column will be always on the outside)
	%open=any, % If twoside=true, uncomment this to force new chapters to start on any page, not only on right (odd) pages
	%chapterentrydots=true, % Uncomment to output dots from the chapter name to the page number in the table of contents
	numbers=noenddot, % Comment to output dots after chapter numbers; the most common values for this option are: enddot, noenddot and auto (see the KOMAScript documentation for an in-depth explanation)
]{kaobook}

\usepackage{mathtools} % For \coloneqq and \eqqcolon
\usepackage{stmaryrd} % For \llbracket and \rrbracket
\usepackage{tikz} % For trees and graphs
\usetikzlibrary{trees}

% For truth tables
\usepackage{array}
\usepackage{arydshln}

\usepackage{cancel}

%%hdashline
\setlength\dashlinedash{0.2pt}
\setlength\dashlinegap{1.5pt}
\setlength\arrayrulewidth{0.3pt}
% big thanks to TeX Stack Exchange user voices (user 165801, https://tex.stackexchange.com/users/165801/voices?tab=profile)
% for greatly simplifying the code for beautiful truth tables

% Choose the language
\usepackage[french]{babel} % Load characters and hyphenation

% Load packages for testing
\usepackage{blindtext}
%\usepackage{showframe} % Uncomment to show boxes around the text area, margin, header and footer
%\usepackage{showlabels} % Uncomment to output the content of \label commands to the document where they are used

% Load the bibliography package
\usepackage{kaobiblio}
\addbibresource{main.bib} % Bibliography file

% Load mathematical packages for theorems and related environments
\usepackage[framed=true]{kaotheorems}

% Load the package for hyperreferences
\usepackage{kaorefs}

% Load custom packages (courtesy of Théo von Düring)
% \usepackage{extra-refs}
\usepackage{french-translation}

% Load my custom macros baybeeee !
\usepackage{macros}

% For unnumbered results
\usepackage{amsthm}

\graphicspath{ {geometry/figures/} }

%----------------------------------------------------------------------------------------

\begin{document}


%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS & LIST OF FIGURES/TABLES
%----------------------------------------------------------------------------------------

\begingroup % Local scope for the following commands

% Define the style for the TOC, LOF, and LOT
%\setstretch{1} % Uncomment to modify line spacing in the ToC
%\hypersetup{linkcolor=blue} % Uncomment to set the colour of links in the ToC
\setlength{\textheight}{230\hscale} % Manually adjust the height of the ToC pages

% Turn on compatibility mode for the etoc package
\etocstandarddisplaystyle % "toc display" as if etoc was not loaded
\etocstandardlines % "toc lines" as if etoc was not loaded

\tableofcontents % Output the table of contents

\endgroup

%----------------------------------------------------------------------------------------
%	MAIN BODY
%----------------------------------------------------------------------------------------

\mainmatter % Denotes the start of the main document content, resets page numbering and uses arabic numbers
\setchapterstyle{kao} % Choose the default chapter heading style

\pagelayout{margin}

\input{geometry/sections/euclide}
\input{geometry/sections/alg}
\input{geometry/sections/perspective}
\input{geometry/sections/iso}

\appendix % From here onwards, chapters are numbered with letters, as is the appendix convention

\pagelayout{wide} % No margins
\addpart{Annexe}
\pagelayout{margin} % Restore margins

\input{geometry/sections/annexe/histoire.tex}

\end{document}